Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodetextnodename Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodetextnodename (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The string returned by the "getNodeName()" method for a

Text Node is "text".

Retrieve the Text Node from the last child of the

first employee and check the string returned

by the "getNodeName()" method. It should be equal to

"text".

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-F68D095

Definition at line 53 of file nodetextnodename.java.

## Constructor & Destructor Documentation

nodetextnodename::nodetextnodename | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 55 of file nodetextnodename.java.
    00056  {
    00057       super(factory);
    00058
    00059    }

## Member Function Documentation

String nodetextnodename::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 75 of file nodetextnodename.java.
    00075                                 {
    00076       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodetextnodename";
    00077    }

void nodetextnodename::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 78 of file nodetextnodename.java. References DOMTestCase::doMain().
    00078                                           {
    00079         DOMTestCase.doMain(nodetextnodename.class,args);
    00080    }

void nodetextnodename::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 61 of file nodetextnodename.java. References DOMTestCase::assertEquals(), and DOMTest::load().
    00061                                                     {
    00062       Document doc;
    00063       NodeList elementList;
    00064       Element testAddr;
    00065       Node textNode;
    00066       String textName;
    00067       doc = load("staff");
    00068       elementList = doc.getElementsByTagName("address");
    00069       testAddr = (Element)elementList.item(0);
    00070       textNode = testAddr.getFirstChild();
    00071       textName = textNode.getNodeName();
    00072       assertEquals("nodeTextNodeNameAssert1","#text",textName);
    00073
    00074    }

The documentation for this class was generated from the following file:

- nodetextnodename.java